Subject: Re: [PATCH v3 02/12] netlink: spec: add shaper YAML spec

From: Donald Hunter <[email-masked]>
Date: Thu, 15 Aug 2024 10:07:48 +0100

Paolo Abeni <[email-masked]> writes:

> On 8/13/24 19:12, Donald Hunter wrote:
>> Jakub Kicinski <[email-masked]> writes:
>> 
>>> On Mon, 12 Aug 2024 16:58:33 +0200 Paolo Abeni wrote:
>>>>> It's a tree, so perhaps just stick with tree terminology, everyone is
>>>>> used to that. Makes sense? One way or another, this needs to be
>>>>> properly described in docs, all terminology. That would make things more
>>>>> clear, I believe.
>>>>
>>>> @Jakub, would you be ok with:
>>>>
>>>> 'inputs' ->  'leaves'
>>>> 'output' -> 'node'
>>>> ?
>>>
>>> I think the confusion is primarily about th parent / child.
>>> input and output should be very clear, IMO.
>> input / output seems the most intuitive of the different terms that have
>> been suggested.
>
> Since a sort of agreement was reached about using root / leaf instead, and (quoting someone
> smarter then me) a good compromise makes every party equally unhappy, would you consider such
> other option?

Sure, if that is the general consensus. Though I do find it confusing
because there are not any tree-like ops. Does that mean you are shifting
away from using 'inputs' and 'output' for the group op?